{
    "generic": {
        "prefix": "generic",

        "body": [
            "/// imports ///",
            "",
            "import ${2:module} from '$1'",
            "",
            "/// main ///",
            "",
            "/// exports ///",
            "",
            "export default $3"
        ]
    },

    "imports": {
        "prefix": "imports",

        "body": [
            "/// imports ///",
            "",
            "import ${2:module} from '$1'",
            ""
        ]
    },

    "exports": {
        "prefix": "exports",

        "body": [
          "/// exports ///",
          "",
          "// @index('./*', f => `export * from '${f.path}'`)",
          "// @endindex"
        ]
    },

    "import": {
        "prefix": "import",
        "body": "import ${2:module} from '$1'"
    },

    "vfc": {
        "prefix": "vfc",

        "body": [
            "/// imports ///",
            "",
            "",
            "/// types ///",
            "",
            "interface Props {",
            "    $1",
            "}",
            "",
            "/// main ///",
            "",
            "export const $TM_FILENAME_BASE : React.VFC<Props> = ({",
            "    ${1/(\\w+).*/$1,/gm}",
            "}) => $2",
            "",
            "/// exports ///",
            "",
            "export default $TM_FILENAME_BASE"
        ]
    },

    "fc": {
        "prefix": "fc",

        "body": [
            "/// imports ///",
            "",
            "",
            "",
            "/// types ///",
            "",
            "interface Props {",
            "    $1",
            "}",
            "",
            "/// main ///",
            "",
            "export const $TM_FILENAME_BASE : React.FC<Props> = ({",
            "    ${1/(\\w+).*/$1,/gm}",
            "    children",
            "}) => $2",
            "",
            "/// exports ///",
            "",
            "export default $TM_FILENAME_BASE"
        ]
    }
}
